View Issue Details

IDProjectCategoryView StatusLast Update
0002559PartDesignBugpublic2018-01-30 14:59
ReporterDeepSOICAssigned Toickby 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSWindows, LinuxOS Version
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0002559: Body becomes visible upon changing DisplayModeBody
DescriptionWhen I change DisplayModeBody property of a hidden body, the body becomes visible in 3d view (yet its Visibility property remains False.
Steps To Reproduce1. PartDesign New Part, New Body
2. Add some stuff to body. E.g. a box primitive.
3. Hide body
4. in property editor, change "Display Mode Body" property to "Tip".
The body is shown (it shouldn't). And its Visibility property remains False.
Additional InformationSee also forum thread:
http://forum.freecadweb.org/viewtopic.php?f=3&t=15845#p125763

OS: Windows 8 <--- Win10, actually
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.7616 (Git)
Build type: Debug
Branch: Attacher19
Hash: fe2b9f519daad1dc105e5e490ac5135c4f7f77db
Python version: 2.7.8
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.7.1
TagsNo tags attached.

Activities

normandc

2018-01-27 19:10

manager   ~0010883

Is there any chance this can be fixed before 0.17 release? If not, we'll change the target version.

wmayer

2018-01-30 14:59

administrator   ~0010898

https://github.com/FreeCAD/FreeCAD/commit/865593b66a94bf873a89bfdb829f84a45d72e9e0

Issue History

Date Modified Username Field Change
2016-05-22 11:07 DeepSOIC New Issue
2016-05-22 11:15 ickby Assigned To => ickby
2016-05-22 11:15 ickby Status new => assigned
2018-01-27 19:10 normandc Product Version => 0.17
2018-01-27 19:10 normandc Target Version => 0.17
2018-01-27 19:10 normandc Note Added: 0010883
2018-01-30 14:59 wmayer Status assigned => closed
2018-01-30 14:59 wmayer Resolution open => fixed
2018-01-30 14:59 wmayer Fixed in Version => 0.17
2018-01-30 14:59 wmayer Note Added: 0010898